「phpMyAdmin」で「mysqli|mysql 拡張がありません。PHP の設定をチェックしてみてください」というエラーが出る

投稿日 : 2015年2月1日  タグ : | |

「phpMyAdmin」を導入後、トップページを開いたら「mysqli|mysql 拡張がありません。PHP の設定をチェックしてみてください。 See our documentation for more information」というエラー画面が開いて、ログインページヘと移動できないことがある。これは、phpMyAdminの動作に必要なPHPの環境が揃っていないために起きるエラーだ。「php-mysqli」のインストールを忘れているか、失敗している可能性が高いので、再度インストールを行おう。「php-mysqli」の導入はyumコマンドを利用すればOK。インストール後はApache(httpd)を再起動して設定を反映させよう。

「php-mysqli」がインストールされていないのが原因

kakunai_01
「phpMyAdmin」を開こうとしたら、「mysqli|mysql 拡張がありません。PHP の設定をチェックしてみてください。 See our documentation for more information」というエラーが表示されて起動しない


yum -y install php-mysqli

これは「php-mysqli」がインストールされていないために起きるエラー。yumコマンドを使って「php-mysqli」のインストールを実行しよう

service httpd restart

インストール後はApacheの再起動して設定を適用させよう





おすすめ記事